%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author: Roland Miezianko (rmiezian@astro.temple.edu)
% Date: October 21, 2002
% Instructor: Dr. Longin Jan Latecki
% Course: CIS 581
% Project : Assignment 2 (1.7 Template matching (Ex. #7, p. 397 in [1]). (Roland))
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% reset data and display
clear all
clc


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TEMPLATE FOR ALL TEST DATA
TemplateFile = 'CircleTemplate.bmp';    % template file name


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% select test data to generate
TestNumber = 0;

switch TestNumber
    
    case 0 % DEMO DATA 0
		SourceFile = 'F01.BMP';         
		DataStoreFile = 'F01Demo.txt';
        
    case 1 % TEST DATA 1
		SourceFile = 'F01.BMP';
		DataStoreFile = 'F01CorrMap.txt';
        
    case 2 % TEST DATA 2
		SourceFile = 'F05.BMP';
		DataStoreFile = 'F05CorrMap.txt';
        
    case 3 % TEST DATA 3
		SourceFile = 'F08.BMP';
		DataStoreFile = 'F08CorrMap.txt';
        
    case 4 % TEST DATA 4
		SourceFile = 'F06.BMP';
		DataStoreFile = 'F06CorrMap.txt';
        
    case 5 % TEST DATA 5 (no template circle)
		SourceFile = 'PAD1.BMP';
		DataStoreFile = 'PAD1CorrMap.txt';
        
    otherwise
        return;
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% find template in source image
% store correlation map data in external file DataStoreFile
[FoundRow FoundCol FoundCorr] = findTemplate(SourceFile,TemplateFile,DataStoreFile);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% show the source image coordinates of the template's (0,0) and its correlation value
FoundRow
FoundCol
FoundCorr

    
